PandorasBox
===========

Dotfiles are like opening Pandora's Box. Stop making me do stuff to get things to work.


## Install

`gem install pandoras_box`

## Usage

If you look at the help command `box help` you can find command usage.

## Creating a box

Boxes are defined in ruby files. The folder structure is this:

    .
    ├── LICENSE
    ├── README.md
    ├── Simple
    │   └── test.symlink
    ├── Test
    │   └── test1234.symlink
    └── boxes
        └── test_box.rb

boxes/ is where you define the ruby files for the boxes. The boxes themselves go in a folder named the same as the box's name (this can be changed).

Anything ending in .symlink will be symlinked with ~/.#{file}

Here's an example box:

``` ruby
  require 'pandoras_box/boxes/box'

  class BaconBox < Box
    @@name = 'Bacon'
    @@description = 'Epicness in a box'
    @@download_repo = 'epicusername/epicrepo'
  end
```

The default boxes can be found in the repo.

Custom install steps can be added by overriding `custom_install_steps` in your box class.

To then add the box, run `box add epicusername/epicrepo` and then run `box install`.


## I broke it

Create an issue.